WCSCHR(3)

NAME
wcschr - locate first occurrence of a wide character in a wide string

SYNOPSIS
#include <wchar.h>
wchar_t *
wcschr(const wchar_t *s, wchar_t c);

DESCRIPTION
The wcschr() function locates the first occurrence of the wide character c in the wide string s. The terminating null wide character is considered part of the wide string. If c is the null wide character (L'\0'), wcschr() locates the terminating null wide character.

RETURN VALUES
The wcschr() function returns a pointer to the located wide character or NULL if the wide character does not appear in the wide string.

SEE ALSO
strchr(3), wcscspn(3), wcspbrk(3), wcsrchr(3), wcsspn(3), wcsstr(3), wcstok(3), wmemchr(3)

STANDARDS
The wcschr() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcschr() function was ported from NetBSD and first appeared in OpenBSD 3.8.